# -*- coding: utf-8 -*-

import tkinter as tk
import mxnet2license
import time


def close_app():
    root.destroy()


def login_update():
    ret = mxLicense.login_update2()
    if ret < 0:
        root.destroy()

    unix_time = time.time()
    current_time = time.localtime(unix_time)
    timestr = time.strftime('%Y-%m-%d %H:%M:%S', current_time)

    listbox.select_clear(listbox.size()-1, tk.END)
    listbox.insert(tk.END, str(listbox.size()+1) + ".Login=" + str(ret) + "     " + timestr)
    listbox.select_set(listbox.size()-1, tk.END)
    listbox.see(listbox.size())
    root.after(5*1000, login_update)


mxLicense = mxnet2license.License()
# mxLicense.set_usercode(1234)

root = tk.Tk()
root.title("MxNet2 Test")

frame = tk.Frame(root)

if not mxLicense.get():
    root.geometry("300x200")
    root.resizable(False, False)

    frame.pack(pady=50)

    errorLabel = tk.Label(frame, text="Failed to acquire license")
    btnClose = tk.Button(frame, text="Close", command=close_app)
    errorLabel.pack()
    btnClose.pack(pady=20)
    root.mainloop()
    exit(-1)


root.geometry("300x300")
frame.pack()

listFrame = tk.Frame(frame)

listbox = tk.Listbox(listFrame, width=45, height=10)
scrollbar = tk.Scrollbar(listFrame)
listbox.config(yscrollcommand=scrollbar.set)
scrollbar.config(command=listbox.yview)
listbox.pack(side=tk.LEFT, fill=tk.BOTH)
scrollbar.pack(side=tk.LEFT, fill=tk.Y)

listFrame.pack(side=tk.TOP)

btnClose = tk.Button(frame, text="Close", command=close_app)
btnClose.pack(sid=tk.BOTTOM, pady=20)

root.after(mxLicense.INTERVAL*1000, login_update)
root.mainloop()

print("release")
del mxLicense
