# -*- coding: utf-8 -*-

import mxnet2license
from threading import Thread, Condition


def exit_app():
    global keyin_skipped
    global keyed_in

    with cv:
        keyin_skipped = True
        keyed_in = True
        cv.notify()


def read_key():
    global keyed_in

    try:
        input("*** press ENTER / CTRL+C to terminate ***\n")
    except Exception:
        pass
    except KeyboardInterrupt:
        pass

    with cv:
        keyed_in = True
        cv.notify()


def wait_keypress():
    global keyed_in

# Enterキーが押されるまで止める
    w = Thread(target=read_key, daemon=True)
    w.start()

    try:
        with cv:
            cv.wait_for(lambda: keyed_in == True)
    except KeyboardInterrupt:
        pass


cv = Condition()
keyed_in = False
keyin_skipped = False

mxLicense = mxnet2license.License()
# mxLicense.set_usercode(1234)


if not mxLicense.get():
    print("Failed to acquire license")
    exit(-1)

mxLicense.start_update(exit_app)

wait_keypress()

mxLicense.quit()
mxLicense.wait_termination()
del mxLicense

if keyin_skipped:
    print("Login Error. Press enter to terminate")
else:
    print("Terminated")

exit(0)
